package cn.com.countrygarden.bi.main.service;

import cn.com.countrygarden.bi.main.model.sys.Role;
import cn.com.countrygarden.bi.main.model.sys.UserRoles;
import cn.com.countrygarden.bi.main.model.sys.UserWhiteUrl;

import com.github.pagehelper.Page;

import java.util.List;


public interface UserRoleService {
    List<Role> findUserRoles(String usercode);
    List<Role> listRoles();
    void addUserToRole(String currentUser, String userCode, String roleCode);
    Page<UserRoles> searchByRoleCode(String roleCode, int page, int size, List<String> userCode);
    void deleteUserRoles(String userCode, String roleCode,String accessToken);
    List<UserRoles> searchByUserCodes(String roleCode, List<String> userCodes);
    //NC财务判断角色
    int judgeRole(String userCode);
    //委外合同判断角色
    int judgeRoleExContract(String userCode);

    /**
     * 查询所有中心对接人user_code
     * @return List
     */
    List<String> selectperformanceCenter();
    /**
     * 查询角色下所有人员,包含有被删除的人员
     * @return List
     */
    List<String> selectUserCodes(String roleCode);
    Integer countByUserCodeAndRoleCode(String userCode, String admin);
    List<UserWhiteUrl> getUserWhiteUrlByUserCode(String roleCode);
}
